DS_PROTO_EVENT_FUNC(3)

PROTO_FUNC
ds_PROTO_event_func - Process an event.

SYNOPSIS
#include <karma_ds.h>

flag ds_PROTO_event_func

(void *object, multi_array *multi_desc, CONST char *domain, CONST char *name)

DESCRIPTION
Process an event.

object
    The object information pointer.

multi_desc
    The multi_array descriptor.

domain
    The domain from where the event was generated.

name
    The name of the event in its domain.

RETURN VALUE
TRUE if further callbacks should not be called, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/